Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #371

Exporting as cue-file produces segmentation fault
November 21, 2013 13:28 - Chloride Cull

Status: Closed Start date: November 21, 2013
Priority: Major Due date:

Assignee: % Done: 100%

Category: core Estimated time: 0.00 hour

Target version: 3.4.3

Affects version: 3.4.2

Description

Hit this little nasty thing when | had to export my old playlists from my other Arch laptop. Recompiled without stripping the symbols
and ran again.

The "critical" error appeared when it asked me whether to replace the old, empty cue sheet.

I've attached the output of GDB.

History

#1 - November 21, 2013 13:46 - Chloride Cull

It seems that the latest git HEAD just says that it's an unsupported extension. Aren't you supposed to be able to export as cue sheets?

#2 - November 22, 2013 22:28 - John Lindgren
- Category changed from plugins/cue to core

- Status changed from New to Closed

- Target version set to 3.4.3

- % Done changed from 0 to 100

Chloride Cull wrote:

It seems that the latest git HEAD just says that it's an unsupported extension. Aren't you supposed to be able to export as cue sheets?

No, you aren't. But the crash is fixed:
https://github.com/audacious-media-player/audacious/commit/5fa9c0aa1b84992d922db573b75{672a28907bd3
